CVSPass (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.CVSPass class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class CVSPass

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.CVSPass

public class CVSPass
extends Task

Adds an new entry to a CVS password file.

Since:
  Ant 1.4
Version:
  $Revision: 1.13.2.4 $
Author:
  Jeff Martin

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CVSPass()` Create a CVS task using the default cvspass file location.

Method Summary
`void` | `execute()` Does the work.
`void` | `setCvsroot(java.lang.String cvsRoot)` The CVS repository to add an entry for.
`void` | `setPassfile(java.io.File passFile)` Password file to add the entry to.
`void` | `setPassword(java.lang.String password)` Password to be added to the password file.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CVSPass

    public CVSPass()

  Create a CVS task using the default cvspass file location.

Method Detail

### execute

    public final void execute()
                       throws BuildException

  Does the work.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### setCvsroot

    public void setCvsroot(java.lang.String cvsRoot)

  The CVS repository to add an entry for.

### setPassfile

    public void setPassfile(java.io.File passFile)

  Password file to add the entry to.

### setPassword

    public void setPassword(java.lang.String password)

  Password to be added to the password file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.